# MLFlow Dataset Caching

## 📌 Описание

Этот проект предоставляет удобный способ загрузки датасетов
в **MLflow** с поддержкой локального кэширования.
Также он позволяет определять собственные классы-посетители (visitor classes)
для генерации графиков и отчетов, что упрощает анализ данных.

## 🚀 Возможности

- 📂 **Локальное кэширование**: снижение нагрузки на сеть и ускорение работы с данными.
- 🔄 **Автоматическая загрузка в MLflow**: хранение данных в
  удобном формате для воспроизводимости экспериментов.
- 📊 **Гибкость в анализе**: возможность использования пользовательских
  классов для создания визуализаций и отчетов.

## 🛠 Установка

```bash
pip install mdata_flow
```

## 🔧 Использование

### 1️⃣ Загрузка датасета с кэшированием

IN DEV

### 2️⃣ Сохранение датасета в MLflow

IN DEV

### 3️⃣ Определение собственного класса-посетителя

IN DEV

## 📌 Как работает кэширование?

При загрузке датасета **DatasetLoader** проверяет, существует ли локальная копия.
Если файл уже загружен ранее, он берется из кэша,
иначе загружается заново и сохраняется для последующего использования.

## 🔗 Полезные ссылки

- [Документация MLflow](https://mlflow.org/docs/latest/index.html)

## 🤝 Вклад

Если у вас есть идеи или улучшения,
создавайте Pull Request'ы! Будем рады вашим предложениям. 🚀
